.\" HISTORY
.\" $Log:	gdb.man,v $
.\" Revision 2.2  92/02/15  19:37:21  rpd
.\" 	Initial checkin.
.\" 	[92/02/15  19:18:52  rpd]
.\" 
.TH GDB 1 "25 March 1987"
.UC 4
.SH NAME
gdb \- Project GNU's DeBugger
.SH SYNOPSIS
\fBgdb\fP [ \fBoptions\fP ]   See documentation mentioned below.
.SH DESCRIPTION
gdb is a source level symbolic debugger for C programs, created by
Richard M. Stallman (rms) for the GNU Project, and distributed by the
Free Software Foundation.  Eventually GNU (Gnu's Not Unix) will be a
complete replacement for Berkeley Unix, all of which everyone will be
able to use freely.  See the emacs man page for pointers to more
information.
.PP
gdb has something of the flavor of dbx, but
has more features and power.  It can also be used to debug o/s
kernels, but needs to be configured differently for that task.
.PP
Project GNU isn't using Unix man pages.  Its style of complete
documentation can be found by:
.PP
The help and info commands inside gdb.
.PP
In the Info system in GNU Emacs.  Type C-h i, and follow the
directions.  This is equivalent to the manual for gdb, and has about
55 pages of text.
.PP
gdb could be extended to work with other languages (e.g. Pascal) and
machines (e.g. encores).  If you like, copy the sources and give it a
try.  When you have it working send "diff -c"s of the changed files to
bug-gdb@prep.ai.mit.edu (fuller details below), so they can benefit everyone.
.SH DISTRIBUTION
gdb is free; anyone may redistribute copies of gdb to
anyone under the terms stated in the gdb General Public License,
a copy of which accompanies each copy of gdb, is readable with the
info command inside gdb, and which also appears in the reference manual.
.PP
Copies of gdb may sometimes be received packaged with
distributions of Unix systems, but it is never included in the scope
of any license covering those systems.  Such inclusion would violate
the terms on which distribution is permitted.  In fact, the primary
purpose of the General Public License is to prohibit anyone from
attaching any other restrictions to redistribution of gdb.
.PP
You can order printed copies of the gdb manual for $10.00/copy
postpaid from the Free Software Foundation, which develops GNU software
(contact them for quantity prices on the manual).  Their address is:
.nf
    Free Software Foundation
    1000 Mass Ave.
    Cambridge, MA  02138
.fi
As with all software and publications from FSF, everyone is permitted to
make and distribute copies of the gdb manual.  The TeX source to the gdb
manual is also included in the GNU Emacs source distribution.
.PP
.SH OPTIONS
See documentation.
.SH EXAMPLES
See documentation.
.SH "SEE ALSO"
adb(1), sdb(1), dbx(1)
.SH BUGS
There is a mailing list, bug-gdb@prep.ai.mit.edu on the internet
(ucbvax!prep.ai.mit.edu!bug-gdb on UUCPnet), for reporting Emacs
bugs and fixes.  But before reporting something as a bug, please try
to be sure that it really is a bug, not a misunderstanding or a
deliberate feature.  We ask you to read the section ``Reporting Emacs
Bugs'' near the end of the GNU Emacs reference manual
(or Info system) for hints
on how and when to report bugs.  Also, include the version number of
the gdb you are running in \fIevery\fR bug report that you send in.
.PP
Do not expect a personal answer to a bug report.  The purpose of reporting
bugs is to get them fixed for everyone in the next release, if possible.
For personal assistance, look in the SERVICE file
(see the emacs man page) for
a list of people who offer it.
.PP
Please do not send anything but bug reports to this mailing list.
Send other stuff to gnu@prep.ai.mit.edu (or the
corresponding UUCP address).  For more information about GNU mailing
lists, see the file MAILINGLISTS (see the emacs man page).  Bugs tend
actually to be fixed if they can be isolated, so it is in your
interest to report them in such a way that they can be easily
reproduced.
.PP
No bugs are known at this time.

